package com.hfkj.service.agent;

import com.hfkj.entity.BsAgentDiscount;
import java.util.List;

/**
 * @className: BsAgentDiscountService
 * @author: HuRui
 * @date: 2024/9/3
 **/
public interface BsAgentDiscountService {

    /**
     * 创建数据
     * @param data
     */
    void create(BsAgentDiscount data);

    /**
     * 删除
     * @param id 数据id
     */
    void delete(Long id);

    /**
     * 查询详情
     * @param agentId
     * @param type
     * @param objectNo
     * @return
     */
    BsAgentDiscount getDetail(Long agentId, Integer type, String objectNo);

    /**
     * 查询列表
     * @param agentId
     * @return
     */
    List<BsAgentDiscount> getList(Long agentId);



}
